package com.steering.mes.zgdev;

import java.io.Serializable;

/**
 * 管加工计划实体类
 * @author siy 2015/05/21
 * @version v1.0
 */
public class McpPlan implements Serializable {
    /** Version UID */
    private static final long serialVersionUID = 1L;
    /** 计划编号 */
    private String planNo;
    /** 产线编号 */
    private String proLineNo;
    /** 产线 */
    private String proLineName;
    /** 生产批次号 */
    private String batchNo;
    /** 炉号 */
    private String heatNo;
    /** 批号 */
    private String lotNo;
    /** 是否监制 */
    private boolean isSupervise;
    /** 生产日期 */
    private String produceDate;
    /** 耗时 */
    private int duration;
    /** 生产合同号 */
    private String orderNo;
    /** 合同重量 */
    private double weight;
    /** 合同支数 */
    private int pieces;
    /** 备注 */
    private String remark;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getProLineNo() {
        return proLineNo;
    }

    public void setProLineNo(String proLineNo) {
        this.proLineNo = proLineNo;
    }

    public String getProLineName() {
        return proLineName;
    }

    public void setProLineName(String proLineName) {
        this.proLineName = proLineName;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getHeatNo() {
        return heatNo;
    }

    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo;
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public boolean isSupervise() {
        return isSupervise;
    }

    public void setSupervise(boolean isSupervise) {
        this.isSupervise = isSupervise;
    }

    public String getProduceDate() {
        return produceDate;
    }

    public void setProduceDate(String produceDate) {
        this.produceDate = produceDate;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }

    public int getPieces() {
        return pieces;
    }

    public void setPieces(int pieces) {
        this.pieces = pieces;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
